Bug 845747 - Keyboard layout options don't work
Keyboard layout options don't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 09:49 EDT by Ricardo Fernández Pascual
Modified: 2013-07-31 18:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:24:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Fernández Pascual 2012-08-04 09:49:29 EDT
The keyboard layout options (e.g., “Compose key position” or “Numeric keypad layout selection”) have no effect. They worked fine with Fedora 16 (and earlier), but they stopped working after upgrading to Fedora 17.

I have tried both with the Spanish and the US layout, and the problem happens with both.

Version-Release number of selected component (if applicable): control-center-3.4.2-1.fc17.x86_64

How reproducible: always

Steps to Reproduce:
1. Set any layout option (for example, put the compose key in the caps lock position)
2. Try it
  
Actual results: Doesn't work (in the example, caps lock is activated)

Expected results: Should work (in the example, caps lock is not activated and you can type a compose sequence like “ae” to obtain “æ”).

Additional info:

I have tried a number of things, and there are two observations that may be relevant:

1 - Running “system-config-keyboard” and selecting anything (for example, the same layout as selected in control-center) fixes the problem until the next reboot (or until something changes in control-center). It seems that system-config-keyboard is doing something that control-center should do but doesn't.
2 - After that, if the (USB) keyboard is unplugged and plugged again, the problem reappears.
Comment 1 Fedora End Of Life 2013-07-03 17:22:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 18:24:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.